/* 
 * File:   rn4020.h
 * Author: barna
 *
 * Created on August 17, 2015, 2:47 PM
 */

#ifndef RN4020_H
#define	RN4020_H

#ifdef	__cplusplus
extern "C" {
#endif

void BLE_Reboot();

void BLE_PartialReset();

void BLE_FullReset();

void BLE_SetSpeed(unsigned baudrate);

void BLE_SetService(unsigned char service[]);

void BLE_SetRole(unsigned char role[]);

void BLE_SetBroadcaster(unsigned char advert[]);

void BLE_StartScan();

void BLE_StartBroadcast();

void BLE_GetVersion();

void BLE_GetInfo();

void BLE_ToggleEcho();

void BLE_SetDeviceName(unsigned char devicename[]);

void BLE_SendBatteryValue(unsigned char blev[]);

void BLE_GetClientServices();

void BLE_GetServerServices();

void BLE_Command(unsigned char cmd[]);

#ifdef	__cplusplus
}
#endif

#endif	/* RN4020_H */

